package at.xaxa.ledger.data.db

import android.content.Context
import androidx.room.Database
import androidx.room.Room
import androidx.room.RoomDatabase
import at.xaxa.ledger.data.db.Entry.EntryEntity


@Database(entities = [EntryEntity::class], version = 1)
abstract class LedgerDatabase : RoomDatabase() {
    abstract fun ledgerDao(): LedgerDao

    companion object {
        @Volatile
        private var Instance: LedgerDatabase? = null

        fun getDatabase(context: Context): LedgerDatabase {
            println("DATADATADATADATA")
            return Instance ?: synchronized(this){
                val instance =
                    Room.databaseBuilder(context, LedgerDatabase::class.java, "ledger_database")
                        .fallbackToDestructiveMigration()
                        .build()
                Instance = instance
                return instance
            }
        }
    }
}